tests: more portability fix for the old systems
authorTK Soh <teekaysoh@yahoo.com>
Wed, 15 Mar 2006 11:09:24 +0100
changeset 1962 2a676ad52c22
parent 1961 eff46e2c9d67
child 1963 39eb64b23cb5
tests: more portability fix for the old systems
tests/test-bad-pull
tests/test-bad-pull.out
tests/test-static-http
tests/test-static-http.out
--- a/tests/test-bad-pull	Tue Mar 14 23:01:11 2006 -0800
+++ b/tests/test-bad-pull	Wed Mar 15 11:09:24 2006 +0100
@@ -2,7 +2,7 @@
 
 hg clone http://localhost:20059/ copy
 echo $?
-ls copy
+ls copy 2>/dev/null || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
 import BaseHTTPServer, SimpleHTTPServer, signal
--- a/tests/test-bad-pull.out	Tue Mar 14 23:01:11 2006 -0800
+++ b/tests/test-bad-pull.out	Wed Mar 15 11:09:24 2006 +0100
@@ -1,7 +1,7 @@
 requesting all changes
 abort: error: Connection refused
 255
-ls: copy: No such file or directory
+copy: No such file or directory
 requesting all changes
 abort: HTTP Error 404: File not found
 255
--- a/tests/test-static-http	Tue Mar 14 23:01:11 2006 -0800
+++ b/tests/test-static-http	Wed Mar 15 11:09:24 2006 +0100
@@ -2,7 +2,7 @@
 
 http_proxy= hg clone old-http://localhost:20059/ copy
 echo $?
-ls copy
+ls copy 2>/dev/null || echo copy: No such file or directory
 
 # This server doesn't do range requests so it's basically only good for
 # one pull
--- a/tests/test-static-http.out	Tue Mar 14 23:01:11 2006 -0800
+++ b/tests/test-static-http.out	Wed Mar 15 11:09:24 2006 +0100
@@ -1,6 +1,6 @@
 abort: Connection refused
 255
-ls: copy: No such file or directory
+copy: No such file or directory
 changeset:   0:53e17d176ae6
 tag:         tip
 user:        test